{% extends "base.html" %}

{% block content %}

    <script>
        $(document).ready(function () {
            let load_button = $("#load_button");
            let log_div = $("#log_div");
            let lines_input = $("#log_lines");

            load_button.click(function () {
                let radioValue = $("input[name='log_selection']:checked").val();
                $.get("get_log/" + radioValue + "/" + lines_input.val(), function (data) {
                    if (data === '') {
                        log_div.html("Log file is empty!")
                    } else {
                        log_div.html(data);
                    }
                });
            });
        });
    </script>

    <!-- Page Content -->
    <h3>{{ title }}</h3>
    <hr>
    <p>Look at different system logs</p>


    <div class="form-check">
        <input class="form-check-input" type="radio" name="log_selection" id="radio1" value="ovs" checked>
        <label class="form-check-label" for="radio1">
            Open vSwitch
        </label>
    </div>
    <div class="form-check">
        <input class="form-check-input" type="radio" name="log_selection" id="radio2" value="vpn-box">
        <label class="form-check-label" for="radio2">
            VPN-Box
        </label>
    </div>
    <div class="form-check">
        <input class="form-check-input" type="radio" name="log_selection" id="radio3" value="iptables">
        <label class="form-check-label" for="radio3">
            IPTables
        </label>
    </div>
    <div class="form-check">
        <input class="form-check-input" type="radio" name="log_selection" id="radio4" value="syslog">
        <label class="form-check-label" for="radio4">
            Linux Syslog
        </label>
    </div>

    <div class="form-group row">
        <label for="log_lines" class="col-1 col-form-label">Lines to read</label>
        <input class="form-control" type="number" value="100" id="log_lines" style="width: 100px">
    </div>

    <button type="button" id="load_button" class="btn btn-primary">Load</button>

    <hr>
    <div style="background-color: lightgray; overflow: auto; font-family: monospace; white-space: pre-line; font-size: medium;"
         id="log_div">
    </div>
{% endblock %}